#!/bin/sh

max_disk=$(cat /sys/block/{hd,sd,vd,nvme,mmcblk}*/size 2>/dev/null | sort -n -r | head -1)
[ -n "$max_disk" ] || max_disk=0

common() {
cat << _EOF_
  (action . trivial)
  (actiondata
_EOF_
if [ `arch` = 'e2k' ]; then
# see also http://bugzilla.altlinux.org/34600
cat << _EOF_
   ("/boot" (size 2097152 . 2097152 ) (fsim . "Ext2/3") (methods plain))
_EOF_
fi
}

{
cat << _EOF_
((workstation
_EOF_
# less them 120G
# / is whole disk
if [ "$max_disk" -le 251658240 ] ; then
	cat << _EOF_
  (title . "Setup for workstation")
_EOF_
common
cat << _EOF_
   ("/" (size 21000000 . #t ) (fsim . "Ext2/3") (methods plain))))
  )
_EOF_
# less them 500G
# / is 25Gb
elif [ "$max_disk" -le 1048576000 ] ; then
	cat << _EOF_
  (title . "Setup for workstation")
_EOF_
common
cat << _EOF_
   ("/" (size 52428800 . 52428800 ) (fsim . "Ext2/3") (methods plain))
   ("/home" (size 21000000 . #t) (fsim . "Ext2/3") (methods  plain))))
  )
_EOF_
else
# / is 40Gb
	cat << _EOF_
  (title . "Setup for workstation")
_EOF_
common
cat << _EOF_
   ("/" (size 84000000 . 84000000 ) (fsim . "Ext2/3") (methods plain))
   ("/home" (size 21000000 . #t) (fsim . "Ext2/3") (methods  plain))))
  )
_EOF_
fi
} > /var/cache/alterator/vm-profile.scm
